HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials

HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials (http://www.howtoforge.com/forums/index.php)
-   Installation/Configuration (http://www.howtoforge.com/forums/forumdisplay.php?f=27)
-   -   Upgrade to 3.0.4.5 problem - Class _ftpuser_base_plugin (http://www.howtoforge.com/forums/showthread.php?t=57402)

serverstage 24th May 2012 18:00

Upgrade to 3.0.4.5 problem - Class _ftpuser_base_plugin
 
the update script breaks with following:

.....
Create new ISPConfig SSL certificate (yes,no) [no]:


Fatal error: Class '_ftpuser_base_plugin' not found in /ispconfig3_install/install/lib/installer_base.lib.php on line 1688


What to do?

till 24th May 2012 19:12

Have you modified any code in the ispconfig version that you had installed before or was the installed ispconfig version from svn so that you downgraded by installing 3.0.4.5?

serverstage 25th May 2012 11:22

no, not svn. I don't think any code changes were made here but I could be mistaken - it is one of our live web servers, not the Control Panel server.

Can I just copy the (old?) code-base over top, just keeping config.inc.php ? Then rerun the update?

Kind Regards, Brandon

till 25th May 2012 11:45

Quote:

Can I just copy the (old?) code-base over top, just keeping config.inc.php ? Then rerun the update?
Yes, that should work. The installer created a copy of the working code in /var/backup/ if you used the backup option of the updater.

serverstage 25th May 2012 13:14

Worked, thank you :)

the updater was trying to read in a backup copy of a plugin file I had created some time ago. Removed it and it the update went through perfectly.


All times are GMT +2. The time now is 07:02.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.